chiark
/
gitweb
/
~ianmdlvl
/
cura.git
/ commitdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
| commitdiff |
tree
raw
|
patch
| inline |
side by side
(parent:
1fe1836
)
Added skeinpypy.sh script for linux
author
daid
<daid303@gmail.com>
Fri, 16 Mar 2012 16:10:05 +0000
(17:10 +0100)
committer
daid
<daid303@gmail.com>
Fri, 16 Mar 2012 16:10:05 +0000
(17:10 +0100)
scripts/linux/skeinpypy.sh
[new file with mode: 0755]
patch
|
blob
diff --git a/scripts/linux/skeinpypy.sh
b/scripts/linux/skeinpypy.sh
new file mode 100755
(executable)
index 0000000..
6fa98b8
--- /dev/null
+++ b/
scripts/linux/skeinpypy.sh
@@ -0,0
+1,24
@@
+#!/bin/bash
+
+python -c 'import OpenGL'
+if [ $? != 0 ]; then
+ echo "Requires PyOpenGL"
+ echo " sudo easy_install-2.7 PyOpenGL"
+ exit 1
+fi
+
+python -c 'import wx'
+if [ $? != 0 ]; then
+ echo "Requires wxPython"
+ exit 1
+fi
+
+python -c 'import serial'
+if [ $? != 0 ]; then
+ echo "Requires pyserial."
+ exit 1
+fi
+
+SCRIPT_DIR=`dirname $0`
+python2.7 ${SCRIPT_DIR}/SkeinPyPy/skeinpypy.py
+